(function (app) {
    app.controller('myCtrl', ["$scope", "$state", "storage", "myService", "msg"
        , function ($scope, $state, storage, myService, msg) {
        $scope.$on('$ionicView.beforeEnter', function (viewResult) {
            
        });
        $scope.toprofile = function () {
            $state.go('app.my_profile');
        }
        
        }]);
    app.controller('profileCtrl', ["$scope", "$state", "storage", "myService", "msg"
      , function ($scope, $state, storage, myService, msg) {
          $scope.$on('$ionicView.beforeEnter', function () {

          });

      }]);
    app.controller('settingCtrl', ["$scope", "$state", "myService", "msg"
     , function ($scope, $state,myService, msg) {
         $scope.$on('$ionicView.beforeEnter', function () {

         });

     }]);
    app.controller('rechargeCtrl', ["$scope", "$state", "myService", "msg"
  , function ($scope, $state, myService, msg) {
      $scope.$on('$ionicView.beforeEnter', function () {

      });

  }]);
    app.controller('messageCtrl', ["$scope", "$state", "myService", "msg"
  , function ($scope, $state, myService, msg) {
      $scope.$on('$ionicView.beforeEnter', function () {

      });

  }]);
    app.controller('dreamCtrl', ["$scope", "$state", "myService", "msg"
  , function ($scope, $state, myService, msg) {
      $scope.$on('$ionicView.beforeEnter', function () {

      });

  }]);
    app.controller('collectCtrl', ["$scope", "$state", "myService", "msg"
       , function ($scope, $state, myService, msg) {
      $scope.$on('$ionicView.beforeEnter', function () {

      });
       }]);
    app.controller('messageSysCtrl', ["$scope", "$state", "myService", "msg"
       , function ($scope, $state, myService, msg) {
           $scope.$on('$ionicView.beforeEnter', function () {

           });
       }]);

    app.controller('messageReplyCtrl', ["$scope", "$state", "myService", "msg", "$ionicModal"
       , function ($scope, $state, myService, msg, $ionicModal) {
                $ionicModal.fromTemplateUrl('my-modal.html', {
                scope: $scope,
                animation: 'slide-in-up'
            }).then(function (modal) {
                $scope.modal = modal;
            });
            $scope.openModal = function () {
                $scope.modal.show();
            };
            $scope.closeModal = function () {
                $scope.modal.hide();
            };
           $scope.$on('$ionicView.beforeEnter', function () {

           });
       }]);
   
})(angular.module('app.controllers'));